Loading...
Searching...
No Matches
casacore::TVecMath_global_functions_basicTransMath Struct Reference
tables package (libcasa_tables) » Tables_module » Tables_module_internal_classes

Transcendental math for table vectors. More...

`#include <TVecMath.h>`

## Public Member Functions

template<class T>
TabVecRep< T > & | tabVecRepcos (const TabVecRep< T > &)
template<class T>
TabVecRep< T > & | tabVecRepcosh (const TabVecRep< T > &)
template<class T>
TabVecRep< T > & | tabVecRepexp (const TabVecRep< T > &)
template<class T>
TabVecRep< T > & | tabVecReplog (const TabVecRep< T > &)
template<class T>
TabVecRep< T > & | tabVecReplog10 (const TabVecRep< T > &)
template<class T>
TabVecRep< T > & | tabVecReppow (const TabVecRep< T > &, const TabVecRep< T > &)
template<class T>
TabVecRep< T > & | tabVecRepsin (const TabVecRep< T > &)
template<class T>
TabVecRep< T > & | tabVecRepsinh (const TabVecRep< T > &)
template<class T>
TabVecRep< T > & | tabVecRepsqrt (const TabVecRep< T > &)

## Detailed Description

Transcendental math for table vectors.

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

These global functions do the transcendental math for table vectors for essentially all numeric types. The functions are sin, sinh, exp, log, pow, etc.. In case two table vectors are used, the left and right operand must be conformant (i.e. have equal length).

Definition at line 149 of file TVecMath.h.

## Member Function Documentation

## tabVecRepcos()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicTransMath::tabVecRepcos | ( | const TabVecRep< T > & |  | ) |

## tabVecRepcosh()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicTransMath::tabVecRepcosh | ( | const TabVecRep< T > & |  | ) |

## tabVecRepexp()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicTransMath::tabVecRepexp | ( | const TabVecRep< T > & |  | ) |

## tabVecReplog()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicTransMath::tabVecReplog | ( | const TabVecRep< T > & |  | ) |

## tabVecReplog10()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicTransMath::tabVecReplog10 | ( | const TabVecRep< T > & |  | ) |

## tabVecReppow()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicTransMath::tabVecReppow | ( | const TabVecRep< T > & | ,
|  | const TabVecRep< T > & | )

## tabVecRepsin()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicTransMath::tabVecRepsin | ( | const TabVecRep< T > & |  | ) |

## tabVecRepsinh()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicTransMath::tabVecRepsinh | ( | const TabVecRep< T > & |  | ) |

## tabVecRepsqrt()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_basicTransMath::tabVecRepsqrt | ( | const TabVecRep< T > & |  | ) |

The documentation for this struct was generated from the following file:

- tables/Tables/TVecMath.h